Rollback last merge
curl --request POST \
--url https://api.parse.bot/dispatch/tasks/{task_id}/rollback-merge \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parse.bot/dispatch/tasks/{task_id}/rollback-merge"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parse.bot/dispatch/tasks/{task_id}/rollback-merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rolled_back": true
}Dispatch
Rollback last merge
Restore your API to its pre-merge state. Only the most recent merge can be rolled back.
POST
/
dispatch
/
tasks
/
{task_id}
/
rollback-merge
Rollback last merge
Authorizations
API key for programmatic access. Create one in the Parse dashboard at https://parse.bot (Settings → API Keys). Keys start with 'pmx_'.
Path Parameters
Response
Rollback result
Was this page helpful?
⌘I